=== debian/control ===
Source: ros-foxy-rtabmap-odom
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-laser-geometry, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-pcl-conversions, ros-foxy-pcl-ros, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rtabmap-conversions, ros-foxy-rtabmap-msgs, ros-foxy-rtabmap-util, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rtabmap-odom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-laser-geometry, ros-foxy-message-filters, ros-foxy-nav-msgs, ros-foxy-pcl-conversions, ros-foxy-pcl-ros, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rtabmap-conversions, ros-foxy-rtabmap-msgs, ros-foxy-rtabmap-util, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: RTAB-Map's odometry package.
